STAT(1)

NAZWA
stat - wyświetla status pliku lub systemu plików

SKŁADNIA
stat [OPCJA]... PLIK...

OPIS

Wyświetla status pliku lub systemu plików

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-L, --dereference
    podąża za dowiązaniami

-f, --file-system
    wyświetla status systemu plików, zamiast statusu pliku

--cached=TRYB
    określa w jaki sposób używać zbuforowane atrybuty; przydatne na zdalnych systemach plików. Zob. TRYB poniżej

-c  --format=FORMAT
    używa podanego FORMATU zamiast domyślnego; wypisuje znak nowego wiersza po każdym użytym FORMACIE

--printf=FORMAT
    jak --format, ale interpretuje sekwencje specjalne z odwrotnym ukośnikiem i nie wypisuje obowiązkowego znaku nowego wiersza. Aby go wypisać, należy użyć \n w podanym FORMACIE

-t, --terse
    wyświetla informacje w zwięzłej formie

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Argumentem TRYB programu --cached może być: always, never lub default. always użyje zbuforowanych atrybutów, jeśli tylko są dostępne; never spróbuje zsynchronizować się z bieżącymi atrybutami; natomiast default pozostawi decyzję podległemu systemowi plików.

Prawidłowe sekwencje FORMATU dla plików (jeżeli nie podano opcji --file-system):

%a  permission bits in octal (see '#' and '0' printf flags)

%A  bity uprawnień i typ pliku, w formie czytelnej dla człowieka

%b  liczba zajętych bloków (patrz %B)

%B  rozmiar każdego bloku podanego przez %b, w bajtach

%C  łańcuch kontekstu bezpieczeństwa SELinux

%d  numer urządzenia, w systemie dziesiętnym (st_dev)

%D  numer urządzenia, szesnastkowo (st_dev)

%Hd główny numer urządzenia, w systemie dziesiętnym

%Ld poboczny numer urządzenia, w systemie dziesiętnym

%f  tryb surowy, szesnastkowo

%F  typ pliku

%g  identyfikator grupy właściciela pliku

%G  nazwa grupy właściciela pliku

%h  liczba dowiązań zwykłych (twardych)

%i  numer i-węzła

%m  punkt montowania

%n  nazwa pliku

%N  nazwa pliku w cudzysłowach, rozwiązana, jeśli jest dowiązaniem symbolicznym

%o  wskazówka nt. optymalnego transferu wejścia/wyjścia

%s  całkowity rozmiar, w bajtach

%r  typ urządzenia, w systemie dziesiętnym (st_rdev)

%R  typ urządzenia, szesnastkowo (st_rdev)

%Hr główny typ urządzenia, w systemie dziesiętnym, do specjalnych plików urządzeń znakowych/blokowych

%Lr poboczny typ urządzenia, w systemie dziesiętnym, do specjalnych plików urządzeń znakowych/blokowych

%t  główny typ urządzenia szesnastkowo, do specjalnych plików urządzeń znakowych/blokowych

%T  poboczny typ urządzenia szesnastkowo, do specjalnych plików urządzeń znakowych/blokowych

%u  identyfikator właściciela pliku

%U  nazwa właściciela pliku

%w  czas utworzenia pliku, w formie czytelnej dla człowieka; - jeśli jest nieznany

%W  czas utworzenia pliku, w sekundach od epoki; 0 jeśli jest nieznany

%x  czas ostatniego dostępu, w formie czytelnej dla człowieka

%X  czas ostatniego dostępu, w sekundach od epoki

%y  czas ostatniej modyfikacji danych, w formie czytelnej dla człowieka

%Y  czas ostatniej modyfikacji danych, w sekundach od epoki

%z  czas ostatniej zmiany statusu, w formie czytelnej dla człowieka

%Z  czas ostatniej zmiany statusu, w sekundach od epoki

Prawidłowe określenia formatu dla systemów plików:

%a  liczba wolnych bloków dostępnych dla zwykłych użytkowników

%b  całkowita liczba bloków danych w systemie plików

%c  całkowita liczba węzłów w systemie plików

%d  liczba wolnych węzłów plików w systemie plików

%f  liczba wolnych bloków w systemie plików

%i  identyfikator systemu plików, szesnastkowo

%l  maksymalna długość nazw plików

%n  nazwa pliku

%s  rozmiar bloku (w celu szybszych transferów)

%S  podstawowy rozmiar bloku (do zliczenia bloków)

%t  identyfikator systemu plików, szesnastkowo

%T  typ, w formie czytelnej dla człowieka

  --terse jest równoważne następującemu FORMATOWI:

    %n %s %b %f %u %g %D %i %h %t %T %X %Y %Z %W %o %C

  --terse --file-system jest równoważne następującemu FORMATOWI:

    %n %i %l %t %s %S %b %f %a %c %d

Your shell may have its own version of stat, which usually supersedes the version described here. Please refer to your shell's documentation for details about the options it supports.

AUTOR
Napisane przez Michaela Meskesa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2024 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
stat(2), statfs(2), statx(2)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/stat>
lub lokalnie, za pomocą info '(coreutils) stat invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.